Bug 568193 - updating fails with a fatal error
Summary: updating fails with a fatal error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F13Alpha, F13AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2010-02-24 23:36 UTC by Matthias Clasen
Modified: 2013-01-10 05:44 UTC (History)
5 users (show)

Fixed In Version: PackageKit-0.6.2-0.1.20100225git.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-26 11:54:15 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2010-02-24 23:36:26 UTC
My attempts to install an update fail with

 - creating new instance of /usr/share/PackageKit/helpers/yum/yumBackend.py
Detaching after fork from child process 14328.
TI:17:37:53	FI:pk-spawn.c	FN:pk_spawn_argv,530
 - setting ioprio class to idle
TI:17:37:53	FI:pk-spawn.c	FN:pk_spawn_argv,554
 - trying to set timeout when already set
Traceback:
	/usr/sbin/packagekitd(egg_error_real+0xd7) [0x40ee77]
	/usr/sbin/packagekitd() [0x42b7fc]
	/usr/sbin/packagekitd(pk_backend_spawn_helper+0x447) [0x42f767]
	/usr/lib64/packagekit-backend/libpk_backend_yum.so(+0x156e) [0x7f6f92f2c56e]
	/usr/sbin/packagekitd(pk_transaction_extra_applications_are_running+0x185) [0x41ec45]
	/usr/sbin/packagekitd(pk_transaction_run+0xa84) [0x419e54]
	/usr/sbin/packagekitd() [0x432e9c]
	/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x1f2) [0x36a483b382]
	/lib64/libglib-2.0.so.0() [0x36a483f128]
	/lib64/libglib-2.0.so.0(g_main_loop_run+0x19d) [0x36a483f66d]
	/usr/sbin/packagekitd(main+0x6d3) [0x40db63]
	/lib64/libc.so.6(__libc_start_main+0xfd) [0x36a301ed2d]
	/usr/sbin/packagekitd() [0x40d3c9]
[Thread 0x7f6f93b2f710 (LWP 14318) exited]

Comment 1 Richard Hughes 2010-02-25 11:08:32 UTC
Should be fixed in http://koji.fedoraproject.org/koji/taskinfo?taskID=2013058 -- I'll request a tag as soon as somebody other than me has tested it. Thanks.

Comment 2 Fedora Update System 2010-02-25 13:51:20 UTC
PackageKit-0.6.2-0.1.20100225git.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/PackageKit-0.6.2-0.1.20100225git.fc13

Comment 3 Jesse Keating 2010-02-25 19:12:03 UTC
This is confirmed fixed there.

Comment 4 Fedora Update System 2010-02-26 03:41:14 UTC
PackageKit-0.6.2-0.1.20100225git.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PackageKit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2950

Comment 5 Fedora Update System 2010-02-26 11:54:10 UTC
PackageKit-0.6.2-0.1.20100225git.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.